﻿@using Jumbula.Web.WebLogic.UserService
@model Jumbula.Core.Model.Order.UserPaymentsItemViewModel

@{
    ViewBag.Title = "Payments";
    ViewBag.IsRegistrantReport = true;

}


@section Styles{
    @Styles.Render("~/bundles/ParentDashboardStyles")

}


<div class="container">

    <div class="title-page">
        <h1>
            Payments
        </h1>

        <div class="clearfix"></div>
    </div>
    <div id="calendarSection">
        @(Html.Kendo().Scheduler<Jumbula.Core.Model.Order.UserPaymentsItemViewModel>()
                                                                                                                                                            .Name("scheduler")
                                                                                                                                                            .Date(Model.Start)
                                                                                                                                                            .Height(700)
                                                                                                                                                            .Editable(false)
                                                                                                                                                            .Events(evt => { evt.DataBound("loadListeners"); })
                                                                                                                                                            .EventTemplate("#if(!IsPayable){#<div class='Paid'><span title='Paid' class='jbi-set-as-paid'></span>#if(IsCancel){#<span title='Canceled' class='jbi-cancel-1'></span>#}##if(IsAutoCharge){#<span title='Auto charge' class='jbi-schedule'></span>#}else if(IsManually){#<span title='Manual charge' class='jbi-credit-card2'></span>#}#<a title='#:TooltipMessage#'> #=PaymentMessage# </a></div>#}" +
                                                                                                                                                                    "else if(IsPastDue && IsPayable){#<div class='NotPaid'><span title='Unpaid' class='jbi-set-as-unpaid'></span>#if(IsCancel){#<span title='Canceled' class='jbi-cancel-1'></span>#}##if(IsAutoCharge){#<span title='Auto charge' class='jbi-schedule'></span>#}else if(IsManually){#<span title='Manual charge' class='jbi-credit-card2'></span>#}#<a title='#:TooltipMessage#' class='modal-link' href='/Registrant/ConfirmPaymentAmount?id=#:Id#&paymentType=#:PaymentType#&returnUrl=#:ReturnUrl#' > #=PaymentMessage# </a></div>#}" +
                                                                                                                                                                    "else if(!IsPastDue){#<div class='Normal'><span title='Unpaid' class='jbi-set-as-unpaid'></span>#if(IsCancel){#<span title='Canceled' class='jbi-cancel-1'></span>#}##if(IsAutoCharge){#<span title='Auto charge' class='jbi-schedule'></span>#}else if(IsManually){#<span title='Manual charge' class='jbi-credit-card2'></span>#}#<a title='#:TooltipMessage#' class='modal-link' href='/Registrant/ConfirmPaymentAmount?id=#:Id#&paymentType=#:PaymentType#&returnUrl=#:ReturnUrl#' > #=PaymentMessage# </a></div>#}#")
                                                                                                                                                            .Views(views =>
                                                                                                                                                            {
                                                                                                                                                                views.DayView(dayView => dayView.Selected(false));
                                                                                                                                                                views.WeekView(weekView => weekView.Selected(false));
                                                                                                                                                                views.MonthView(monthView => monthView.Selected(true));
                                                                                                                                                                views.AgendaView(agendaView => agendaView.Selected(false));
                                                                                                                                                            })
                                                                                                                                                            .DataSource(d => d
                                                                                                                                                                    .Model(m =>
                                                                                                                                                                    {
                                                                                                                                                                        m.Id(f => f.TaskID);
                                                                                                                                                                    })
                                                                                                                                                                     .Read("GetCalendarItems", "Registrant", new { userId = this.GetCurrentUserId() }))
        )
    </div>


</div>

@section scripts {

    @Scripts.Render("~/bundles/kenodUiScripts")

    <script>
    
    var status = '@Model.Status'
  
    if (status == 'True') {

    toastr.success("Your payment was successful.");
    }
    </script>
}

